<?
include_once("mysql.php");
include_once("include/antixak.php");
include_once("include/zag.php");
include_once("include/ini.php");
include 'include/sesi.php';
if (isset($user)) {
$text = @file("MySql/base123/clan/zam/$udata[23].dat");
$count=count($text);

for($i=0; $i<$count; $i++){
$data = explode("|",$text[$i]);
if(trim($data[1])==$log){
switch($go) {
default:
$text = @file("MySql/base123/clan/$udata[23].dat");
$clan = explode(":||:",$text[0]);
echo"Здраствуйте заместитель главы клана <b>$clan[1]</b><br/>";
echo"<a href=\"zamclan.php?$sd&go=add\">Взять в клан</a><br/>";
echo"<a href=\"zamclan.php?$sd&go=out\">Выгнать с клана</a><br/>";
echo"<a href=\"zamclan.php?$sd&go=emblem\">Сменить эмблему</a><br/>";
echo"<a href=\"zamclan.php?$sd&go=zvan\">Присвоить звание</a><br/>";
break;
case 'add':
echo "<form action=\"zamclan.php?go=go&".$sd."&go=tocreate\" method=\"post\">Введите ник:<br/>";
echo "<input name=\"name\" maxlength=\"20\" title=\"name\"/><br/>";
echo '<input type="submit" value="Взять" /></form>';

break;

case 'tocreate':

$text = @file("MySql/base123/reg/$name.dat");
$clan = explode(":||:",$text[0]);

if(!empty($clan[23])){echo"Этот игрок уже в другом клане.";  include_once"include/down.php"; exit;}


$text = @file("MySql/base123/clan/$udata[23].dat");
$clan = explode(":||:",$text[0]);

$name = htmlspecialchars(stripslashes($name));

if(!@file("MySql/base123/reg/$name.dat")){echo"Такого игрока нет."; include_once"include/down.php"; exit; }

$text=$udata[23].':||:'.$name.':||:'.$clan[1].':||:';

$fp=fopen("MySql/base123/clan/tmp/$name.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("MySql/base123/clan/tmp/$name.dat", 0666);

echo"Предложение отослано!";
break;

case 'out':


echo"Нажмите на ник чтобы выгнать из клана.<br/>";
$file = @file("MySql/base123/clan/name/$udata[23].dat");
$total = count($file);

if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){

$file = @file("MySql/base123/clan/name/$udata[23].dat");
$file = array_reverse($file);
$data = explode("|",$file[$i]);
$i2=round($i+1);

$id=$total-$i-1;

$data[1]=trim($data[1]);

echo"<small><a href=\"zamclan.php?$sd&id=$id&go=outcl&name=$data[1]\">$data[1]</a></small><br/>";
}

if($total=="0"){echo"В клане никого нет.</small>";}

if ($start != 0) {echo '<a href="zamclan.php?start='.($start - 10).'&'.$sd.'&go=list">Назад</a> ';}

if ($total > $start + 10) {echo ' <a href="zamclan.php?start='.($start + 10).'&'.$sd.'&go=list">Далее</a>';}




break;

case 'outcl':

$fak = @file("MySql/base123/clan/name/$udata[23].dat");
$okk = explode("|",$fak[$id]);

$pod=$okk[1];

if($_GET[name]==$pod){echo"Так и бан легко плучить..."; include_once"include/down.php"; exit;}

if(!@file("MySql/base123/clan/$udata[23].dat")){echo"Такого клана не существует!"; include_once"include/down.php"; exit;}

$_GET[name] = htmlspecialchars(stripslashes($_GET[name]));

$file=file("MySql/base123/clan/name/$udata[23].dat");

$fp=fopen("MySql/base123/clan/name/$udata[23].dat","w");
flock ($fp,LOCK_EX);
unset($file[$id]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

$fa = @file("MySql/base123/reg/$_GET[name].dat");
$udata = explode(":||:",$fa[0]);

$udata[23]="";

$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:'
;

$fp=fopen("MySql/base123/reg/$_GET[name].dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

echo"Операция успешно завершена.";
break;
case 'emblem':
$text = @file("MySql/base123/clan/$udata[23].dat");
$text = explode(":||:",$text[0]);
if($text[3]<"3"){echo"Нужно иметь 3 уровень клана"; include_once"include/down.php"; exit;}
$dira = opendir ("pic/clan");
while ($filea = readdir ($dira))
{if (( $filea != ".") && ($filea != ".."))
{$aa[]=$filea;}}
closedir ($dira);
$totala = count($aa);

for ($ia = 0; $ia < $totala; $ia++){

$data_namea[]=$aa[$ia];
}

foreach($data_namea as $ka=>$va)
{
$dat_screena[]="<img src=\"pic/clan/$data_namea[$ka]\" alt=\"$data_namea[$ka]\"/><small> - <a href=\"zamclan.php?$sd&name=$data_namea[$ka]&go=oklogo\">выбрать</a><br/></small>";

}


$totala = count($dat_screena);



if (empty($_GET['logs'])) $logs = 0;
else $logs = $_GET['logs'];
if ($totala < $logs + 10){ $end = $totala; }
else {$end = $logs + 10; }
for ($ia = $logs; $ia < $end; $ia++){

echo"$dat_screena[$ia]";

}


if ($logs != 0) {echo '<a href="zamclan.php?logs='.($logs - 10).'&'.$sd.'&go=logo">Назад</a> ';}
if ($totala > $logs + 10) {echo ' <a href="zamclan.php?logs='.($logs + 10).'&'.$sd.'&go=logo">Далее</a>';}

echo"<br/><small>Всего: $totala эмблем</small>";
break;
case 'oklogo':
$name = htmlspecialchars(stripslashes(addslashes($name)));
if(!@file("pic/clan/$name")){echo"Такой эмблемы не существует."; include_once"include/down.php"; exit;}

$text = @file("MySql/base123/clan/$udata[23].dat");
$data = explode(":||:",$text[0]);

$text=$data[0].':||:'.$data[1].':||:'.$name.':||:'.$data[3].':||:';

$fp=fopen("MySql/base123/clan/$udata[23].dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

echo"Эмблема успешно добавлена.";
break;
case 'zvan':
echo "<form action=\"zamclan.php?".$sd."&go=savestatus\" method=\"post\">";
echo "Звание:<br/>";
echo "<input name=\"statusus\" maxlength=\"100\"/><br/>";
echo '<input type="submit" value="Изменить"/></form>';
break;
case 'savestatus':
if(!@file("MySql/base123/reg/$log.dat")){echo"Вы можете присвоить звание только себе."; include_once"include/down.php"; exit; }

if(@file("MySql/base123/clan/$udata[23].dat")){

$text = @file("MySql/base123/clan/$udata[23].dat");
$data = explode(":||:",$text[0]);
$nick=$_POST['nick'];
$statusus=$_POST['statusus'];
$text=$nick.':||:'.$statusus.':||:';
$fp=fopen("MySql/base123/clan/status/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
echo"Вы успешно присвоили игроку $log звание:<br/> $statusus"; include_once"include/down.php"; exit; }
echo'Вы можете присвоить звание только себе.<br/>';include_once"include/down.php"; exit;
break;
}
}else{echo"Вы не зам клана!";}
}
}else{echo"Пароль или логин неверен!";}
include_once"include/down.php";
?>
